DL_ObjectImplBase< BASE, SCHEME_OPTIONS, KEY > Class Template Reference

Discrete Log (DL) base object implementation. More...

`#include <pubkey.h>`

Inheritance diagram for DL_ObjectImplBase< BASE, SCHEME_OPTIONS, KEY >:

## Public Types

typedef SCHEME_OPTIONS | SchemeOptions
typedef KEY::Element | Element

## Public Member Functions

PrivateKey & | AccessPrivateKey ()
PublicKey & | AccessPublicKey ()
const KEY & | GetKey () const
KEY & | AccessKey ()
Public Member Functions inherited from AlgorithmImpl< BASE, SCHEME_OPTIONS::AlgorithmInfo >
std::string | AlgorithmName () const
| The algorithm name.

## Additional Inherited Members

Static Public Member Functions inherited from AlgorithmImpl< BASE, SCHEME_OPTIONS::AlgorithmInfo >
static std::string | StaticAlgorithmName ()
| The algorithm name.

## Detailed Description

template<class BASE, class SCHEME_OPTIONS, class KEY>
class DL_ObjectImplBase< BASE, SCHEME_OPTIONS, KEY >

Discrete Log (DL) base object implementation.

Template Parameters

  BASE | TODO
  SCHEME_OPTIONS | options for the scheme
  KEY | key used in the scheme

Definition at line 1956 of file pubkey.h.

## Member Typedef Documentation

## SchemeOptions

template<class BASE, class SCHEME_OPTIONS, class KEY>

typedef SCHEME_OPTIONS DL_ObjectImplBase< BASE, SCHEME_OPTIONS, KEY >::SchemeOptions

Definition at line 1959 of file pubkey.h.

## Element

template<class BASE, class SCHEME_OPTIONS, class KEY>

typedef KEY::Element DL_ObjectImplBase< BASE, SCHEME_OPTIONS, KEY >::Element

Definition at line 1960 of file pubkey.h.

## Constructor & Destructor Documentation

## ~DL_ObjectImplBase()

template<class BASE, class SCHEME_OPTIONS, class KEY>

virtual DL_ObjectImplBase< BASE, SCHEME_OPTIONS, KEY >::~DL_ObjectImplBase | ( |  | ) |

inline virtual

Definition at line 1962 of file pubkey.h.

## Member Function Documentation

## AccessPrivateKey()

template<class BASE, class SCHEME_OPTIONS, class KEY>

PrivateKey & DL_ObjectImplBase< BASE, SCHEME_OPTIONS, KEY >::AccessPrivateKey | ( |  | ) |

inline

Definition at line 1964 of file pubkey.h.

## AccessPublicKey()

template<class BASE, class SCHEME_OPTIONS, class KEY>

PublicKey & DL_ObjectImplBase< BASE, SCHEME_OPTIONS, KEY >::AccessPublicKey | ( |  | ) |

inline

Definition at line 1965 of file pubkey.h.

## GetKey()

template<class BASE, class SCHEME_OPTIONS, class KEY>

const KEY & DL_ObjectImplBase< BASE, SCHEME_OPTIONS, KEY >::GetKey | ( |  | ) | const

inline

Definition at line 1968 of file pubkey.h.

## AccessKey()

template<class BASE, class SCHEME_OPTIONS, class KEY>

KEY & DL_ObjectImplBase< BASE, SCHEME_OPTIONS, KEY >::AccessKey | ( |  | ) |

inline

Definition at line 1969 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h